# gdcm::NestedModuleEntries Class Reference

Class for representing a NestedModuleEntries. More...

`#include <gdcmNestedModuleEntries.h>`

Inheritance diagram for gdcm::NestedModuleEntries:
[legend]
Collaboration diagram for gdcm::NestedModuleEntries:
[legend]

List of all members.

## Public Types

typedef std::vector < ModuleEntry >::size_type | SizeType

## Public Member Functions

| NestedModuleEntries (const char *name="", const char *type="3", const char *description="")
void | AddModuleEntry (const ModuleEntry &me)
ModuleEntry & | GetModuleEntry (SizeType idx)
const ModuleEntry & | GetModuleEntry (SizeType idx) const
SizeType | GetNumberOfModuleEntries ()

## Friends

std::ostream & | operator<< (std::ostream &_os, const NestedModuleEntries &_val)

## Detailed Description

Class for representing a NestedModuleEntries.

Note:
  bla

See also:
  ModuleEntry

## Member Typedef Documentation

typedef std::vector<ModuleEntry>::size_type gdcm::NestedModuleEntries::SizeType

## Constructor & Destructor Documentation

gdcm::NestedModuleEntries::NestedModuleEntries | ( | const char * | name = `""`,
|  | const char * | type = `"3"`,
|  | const char * | description = `""`
| ) |  | `[inline]`

## Member Function Documentation

void gdcm::NestedModuleEntries::AddModuleEntry | ( | const ModuleEntry & | me | ) | `[inline]`

const ModuleEntry& gdcm::NestedModuleEntries::GetModuleEntry | ( | SizeType | idx | ) | const`[inline]`

ModuleEntry& gdcm::NestedModuleEntries::GetModuleEntry | ( | SizeType | idx | ) | `[inline]`

SizeType gdcm::NestedModuleEntries::GetNumberOfModuleEntries | ( |  | ) | `[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const NestedModuleEntries & | _val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmNestedModuleEntries.h